Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils
Class LoggingStatementWrapper

    java.lang.Object
      org.apache.ode.utils.LoggingStatementWrapper

All Implemented Interfaces:
  java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement

    public class LoggingStatementWrapper

extends java.lang.Object
implements java.sql.CallableStatement

Field Summary

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`LoggingStatementWrapper(java.sql.CallableStatement stmt, org.apache.commons.logging.Log log)`
`LoggingStatementWrapper(java.sql.PreparedStatement stmt, org.apache.commons.logging.Log log)`

Method Summary
`void` | `addBatch()`
`void` | `addBatch(java.lang.String sql)`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearParameters()`
`void` | `clearWarnings()`
`void` | `close()`
`boolean` | `execute()`
`boolean` | `execute(java.lang.String sql)`
`boolean` | `execute(java.lang.String sql, int autoGeneratedKeys)`
`boolean` | `execute(java.lang.String sql, int[] columnIndexes)`
`boolean` | `execute(java.lang.String sql, java.lang.String[] columnNames)`
`int[]` | `executeBatch()`
`java.sql.ResultSet` | `executeQuery()`
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)`
`int` | `executeUpdate()`
`int` | `executeUpdate(java.lang.String sql)`
`int` | `executeUpdate(java.lang.String sql, int autoGeneratedKeys)`
`int` | `executeUpdate(java.lang.String sql, int[] columnIndexes)`
`int` | `executeUpdate(java.lang.String sql, java.lang.String[] columnNames)`
`java.sql.Array` | `getArray(int i)`
`java.sql.Array` | `getArray(java.lang.String parameterName)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String parameterName)`
`java.sql.Blob` | `getBlob(int i)`
`java.sql.Blob` | `getBlob(java.lang.String parameterName)`
`boolean` | `getBoolean(int parameterIndex)`
`boolean` | `getBoolean(java.lang.String parameterName)`
`byte` | `getByte(int parameterIndex)`
`byte` | `getByte(java.lang.String parameterName)`
`byte[]` | `getBytes(int parameterIndex)`
`byte[]` | `getBytes(java.lang.String parameterName)`
`java.sql.Clob` | `getClob(int i)`
`java.sql.Clob` | `getClob(java.lang.String parameterName)`
`java.sql.Connection` | `getConnection()`
`java.sql.Date` | `getDate(int parameterIndex)`
`java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)`
`java.sql.Date` | `getDate(java.lang.String parameterName)`
`java.sql.Date` | `getDate(java.lang.String parameterName, java.util.Calendar cal)`
`double` | `getDouble(int parameterIndex)`
`double` | `getDouble(java.lang.String parameterName)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int parameterIndex)`
`float` | `getFloat(java.lang.String parameterName)`
`java.sql.ResultSet` | `getGeneratedKeys()`
`int` | `getInt(int parameterIndex)`
`int` | `getInt(java.lang.String parameterName)`
`long` | `getLong(int parameterIndex)`
`long` | `getLong(java.lang.String parameterName)`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`java.sql.ResultSetMetaData` | `getMetaData()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int current)`
`java.lang.Object` | `getObject(int parameterIndex)`
`java.lang.Object` | `getObject(int i, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`java.lang.Object` | `getObject(java.lang.String parameterName)`
`java.lang.Object` | `getObject(java.lang.String parameterName, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`java.sql.ParameterMetaData` | `getParameterMetaData()`
`int` | `getQueryTimeout()`
`java.sql.Ref` | `getRef(int i)`
`java.sql.Ref` | `getRef(java.lang.String parameterName)`
`java.sql.ResultSet` | `getResultSet()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`short` | `getShort(int parameterIndex)`
`short` | `getShort(java.lang.String parameterName)`
`java.lang.String` | `getString(int parameterIndex)`
`java.lang.String` | `getString(java.lang.String parameterName)`
`java.sql.Time` | `getTime(int parameterIndex)`
`java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)`
`java.sql.Time` | `getTime(java.lang.String parameterName)`
`java.sql.Time` | `getTime(java.lang.String parameterName, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String parameterName)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String parameterName, java.util.Calendar cal)`
`int` | `getUpdateCount()`
`java.net.URL` | `getURL(int parameterIndex)`
`java.net.URL` | `getURL(java.lang.String parameterName)`
`java.sql.SQLWarning` | `getWarnings()`
`void` | `registerOutParameter(int parameterIndex, int sqlType)`
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void` | `registerOutParameter(int paramIndex, int sqlType, java.lang.String typeName)`
`void` | `registerOutParameter(java.lang.String parameterName, int sqlType)`
`void` | `registerOutParameter(java.lang.String parameterName, int sqlType, int scale)`
`void` | `registerOutParameter(java.lang.String parameterName, int sqlType, java.lang.String typeName)`
`void` | `setArray(int i, java.sql.Array x)`
`void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setAsciiStream(java.lang.String parameterName, java.io.InputStream x, int length)`
`void` | `setBigDecimal(int parameterIndex, java.math.BigDecimal x)`
`void` | `setBigDecimal(java.lang.String parameterName, java.math.BigDecimal x)`
`void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setBinaryStream(java.lang.String parameterName, java.io.InputStream x, int length)`
`void` | `setBlob(int i, java.sql.Blob x)`
`void` | `setBoolean(int parameterIndex, boolean x)`
`void` | `setBoolean(java.lang.String parameterName, boolean x)`
`void` | `setByte(int parameterIndex, byte x)`
`void` | `setByte(java.lang.String parameterName, byte x)`
`void` | `setBytes(int parameterIndex, byte[] x)`
`void` | `setBytes(java.lang.String parameterName, byte[] x)`
`void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, int length)`
`void` | `setCharacterStream(java.lang.String parameterName, java.io.Reader reader, int length)`
`void` | `setClob(int i, java.sql.Clob x)`
`void` | `setCursorName(java.lang.String name)`
`void` | `setDate(int parameterIndex, java.sql.Date x)`
`void` | `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)`
`void` | `setDate(java.lang.String parameterName, java.sql.Date x)`
`void` | `setDate(java.lang.String parameterName, java.sql.Date x, java.util.Calendar cal)`
`void` | `setDouble(int parameterIndex, double x)`
`void` | `setDouble(java.lang.String parameterName, double x)`
`void` | `setEscapeProcessing(boolean enable)`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `setFloat(int parameterIndex, float x)`
`void` | `setFloat(java.lang.String parameterName, float x)`
`void` | `setInt(int parameterIndex, int x)`
`void` | `setInt(java.lang.String parameterName, int x)`
`void` | `setLong(int parameterIndex, long x)`
`void` | `setLong(java.lang.String parameterName, long x)`
`void` | `setMaxFieldSize(int max)`
`void` | `setMaxRows(int max)`
`void` | `setNull(int parameterIndex, int sqlType)`
`void` | `setNull(int paramIndex, int sqlType, java.lang.String typeName)`
`void` | `setNull(java.lang.String parameterName, int sqlType)`
`void` | `setNull(java.lang.String parameterName, int sqlType, java.lang.String typeName)`
`void` | `setObject(int parameterIndex, java.lang.Object x)`
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType)`
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType, int scale)`
`void` | `setObject(java.lang.String parameterName, java.lang.Object x)`
`void` | `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType)`
`void` | `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType, int scale)`
`void` | `setQueryTimeout(int seconds)`
`void` | `setRef(int i, java.sql.Ref x)`
`void` | `setShort(int parameterIndex, short x)`
`void` | `setShort(java.lang.String parameterName, short x)`
`void` | `setString(int parameterIndex, java.lang.String x)`
`void` | `setString(java.lang.String parameterName, java.lang.String x)`
`void` | `setTime(int parameterIndex, java.sql.Time x)`
`void` | `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)`
`void` | `setTime(java.lang.String parameterName, java.sql.Time x)`
`void` | `setTime(java.lang.String parameterName, java.sql.Time x, java.util.Calendar cal)`
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x)`
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)`
`void` | `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x)`
`void` | `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x, java.util.Calendar cal)`
`void` | `setUnicodeStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setURL(int parameterIndex, java.net.URL x)`
`void` | `setURL(java.lang.String parameterName, java.net.URL val)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingStatementWrapper

    public LoggingStatementWrapper(java.sql.CallableStatement stmt,
                                   org.apache.commons.logging.Log log)

### LoggingStatementWrapper

    public LoggingStatementWrapper(java.sql.PreparedStatement stmt,
                                   org.apache.commons.logging.Log log)

Method Detail

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  Specified by:
    `getArray` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(java.lang.String parameterName)
                            throws java.sql.SQLException

  Specified by:
    `getArray` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String parameterName)
                                       throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(java.lang.String parameterName)
                          throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(java.lang.String parameterName)
                       throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  Specified by:
    `getByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(java.lang.String parameterName)
                 throws java.sql.SQLException

  Specified by:
    `getByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(java.lang.String parameterName)
                    throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  Specified by:
    `getClob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(java.lang.String parameterName)
                          throws java.sql.SQLException

  Specified by:
    `getClob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String parameterName)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(java.lang.String parameterName)
                     throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(java.lang.String parameterName)
                   throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

  Specified by:
    `getInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(java.lang.String parameterName)
               throws java.sql.SQLException

  Specified by:
    `getInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

  Specified by:
    `getLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(java.lang.String parameterName)
                 throws java.sql.SQLException

  Specified by:
    `getLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String parameterName)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String parameterName,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  Specified by:
    `getRef` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(java.lang.String parameterName)
                        throws java.sql.SQLException

  Specified by:
    `getRef` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

  Specified by:
    `getShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(java.lang.String parameterName)
                   throws java.sql.SQLException

  Specified by:
    `getShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  Specified by:
    `getString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(java.lang.String parameterName)
                               throws java.sql.SQLException

  Specified by:
    `getString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String parameterName)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(int parameterIndex)
                        throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(java.lang.String parameterName)
                        throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int paramIndex,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setAsciiStream

    public void setAsciiStream(java.lang.String parameterName,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Specified by:
    `setAsciiStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBigDecimal

    public void setBigDecimal(java.lang.String parameterName,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Specified by:
    `setBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBinaryStream

    public void setBinaryStream(java.lang.String parameterName,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Specified by:
    `setBinaryStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBoolean

    public void setBoolean(java.lang.String parameterName,
                           boolean x)
                    throws java.sql.SQLException

  Specified by:
    `setBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setByte

    public void setByte(java.lang.String parameterName,
                        byte x)
                 throws java.sql.SQLException

  Specified by:
    `setByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBytes

    public void setBytes(java.lang.String parameterName,
                         byte[] x)
                  throws java.sql.SQLException

  Specified by:
    `setBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setCharacterStream

    public void setCharacterStream(java.lang.String parameterName,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    `setCharacterStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Specified by:
    `setDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    `setDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setDouble

    public void setDouble(java.lang.String parameterName,
                          double x)
                   throws java.sql.SQLException

  Specified by:
    `setDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setFloat

    public void setFloat(java.lang.String parameterName,
                         float x)
                  throws java.sql.SQLException

  Specified by:
    `setFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setInt

    public void setInt(java.lang.String parameterName,
                       int x)
                throws java.sql.SQLException

  Specified by:
    `setInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setLong

    public void setLong(java.lang.String parameterName,
                        long x)
                 throws java.sql.SQLException

  Specified by:
    `setLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType)
                 throws java.sql.SQLException

  Specified by:
    `setNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Specified by:
    `setNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setShort

    public void setShort(java.lang.String parameterName,
                         short x)
                  throws java.sql.SQLException

  Specified by:
    `setShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setString

    public void setString(java.lang.String parameterName,
                          java.lang.String x)
                   throws java.sql.SQLException

  Specified by:
    `setString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Specified by:
    `setTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    `setTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Specified by:
    `setTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Specified by:
    `setTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setURL

    public void setURL(java.lang.String parameterName,
                       java.net.URL val)
                throws java.sql.SQLException

  Specified by:
    `setURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Specified by:
    `wasNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### addBatch

    public void addBatch()
                  throws java.sql.SQLException

  Specified by:
    `addBatch` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

  Specified by:
    `clearParameters` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Specified by:
    `executeQuery` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Specified by:
    `getMetaData` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### getParameterMetaData

    public java.sql.ParameterMetaData getParameterMetaData()
                                                    throws java.sql.SQLException

  Specified by:
    `getParameterMetaData` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setArray

    public void setArray(int i,
                         java.sql.Array x)
                  throws java.sql.SQLException

  Specified by:
    `setArray` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Specified by:
    `setAsciiStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Specified by:
    `setBigDecimal` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Specified by:
    `setBinaryStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBlob

    public void setBlob(int i,
                        java.sql.Blob x)
                 throws java.sql.SQLException

  Specified by:
    `setBlob` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBoolean

    public void setBoolean(int parameterIndex,
                           boolean x)
                    throws java.sql.SQLException

  Specified by:
    `setBoolean` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setByte

    public void setByte(int parameterIndex,
                        byte x)
                 throws java.sql.SQLException

  Specified by:
    `setByte` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBytes

    public void setBytes(int parameterIndex,
                         byte[] x)
                  throws java.sql.SQLException

  Specified by:
    `setBytes` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    `setCharacterStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setClob

    public void setClob(int i,
                        java.sql.Clob x)
                 throws java.sql.SQLException

  Specified by:
    `setClob` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Specified by:
    `setDate` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    `setDate` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setDouble

    public void setDouble(int parameterIndex,
                          double x)
                   throws java.sql.SQLException

  Specified by:
    `setDouble` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setFloat

    public void setFloat(int parameterIndex,
                         float x)
                  throws java.sql.SQLException

  Specified by:
    `setFloat` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setInt

    public void setInt(int parameterIndex,
                       int x)
                throws java.sql.SQLException

  Specified by:
    `setInt` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setLong

    public void setLong(int parameterIndex,
                        long x)
                 throws java.sql.SQLException

  Specified by:
    `setLong` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws java.sql.SQLException

  Specified by:
    `setNull` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(int paramIndex,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Specified by:
    `setNull` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setRef

    public void setRef(int i,
                       java.sql.Ref x)
                throws java.sql.SQLException

  Specified by:
    `setRef` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setShort

    public void setShort(int parameterIndex,
                         short x)
                  throws java.sql.SQLException

  Specified by:
    `setShort` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setString

    public void setString(int parameterIndex,
                          java.lang.String x)
                   throws java.sql.SQLException

  Specified by:
    `setString` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Specified by:
    `setTime` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    `setTime` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Specified by:
    `setTimestamp` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Specified by:
    `setTimestamp` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                                 java.io.InputStream x,
                                 int length)
                          throws java.sql.SQLException

  Specified by:
    `setUnicodeStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setURL

    public void setURL(int parameterIndex,
                       java.net.URL x)
                throws java.sql.SQLException

  Specified by:
    `setURL` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### addBatch

    public void addBatch(java.lang.String sql)
                  throws java.sql.SQLException

  Specified by:
    `addBatch` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### cancel

    public void cancel()
                throws java.sql.SQLException

  Specified by:
    `cancel` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

  Specified by:
    `clearBatch` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    `clearWarnings` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### execute

    public boolean execute(java.lang.String sql,
                           int autoGeneratedKeys)
                    throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### execute

    public boolean execute(java.lang.String sql,
                           int[] columnIndexes)
                    throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### execute

    public boolean execute(java.lang.String sql,
                           java.lang.String[] columnNames)
                    throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

  Specified by:
    `executeBatch` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Specified by:
    `executeQuery` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public int executeUpdate(java.lang.String sql,
                             int autoGeneratedKeys)
                      throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public int executeUpdate(java.lang.String sql,
                             int[] columnIndexes)
                      throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public int executeUpdate(java.lang.String sql,
                             java.lang.String[] columnNames)
                      throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    `getFetchDirection` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    `getFetchSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

  Specified by:
    `getGeneratedKeys` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws java.sql.SQLException

  Specified by:
    `getMaxFieldSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMaxRows

    public int getMaxRows()
                   throws java.sql.SQLException

  Specified by:
    `getMaxRows` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMoreResults

    public boolean getMoreResults()
                           throws java.sql.SQLException

  Specified by:
    `getMoreResults` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMoreResults

    public boolean getMoreResults(int current)
                           throws java.sql.SQLException

  Specified by:
    `getMoreResults` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getQueryTimeout

    public int getQueryTimeout()
                        throws java.sql.SQLException

  Specified by:
    `getQueryTimeout` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  Specified by:
    `getResultSet` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws java.sql.SQLException

  Specified by:
    `getResultSetConcurrency` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

  Specified by:
    `getResultSetHoldability` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSetType

    public int getResultSetType()
                         throws java.sql.SQLException

  Specified by:
    `getResultSetType` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getUpdateCount

    public int getUpdateCount()
                       throws java.sql.SQLException

  Specified by:
    `getUpdateCount` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    `getWarnings` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setCursorName

    public void setCursorName(java.lang.String name)
                       throws java.sql.SQLException

  Specified by:
    `setCursorName` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws java.sql.SQLException

  Specified by:
    `setEscapeProcessing` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    `setFetchDirection` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    `setFetchSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setMaxFieldSize

    public void setMaxFieldSize(int max)
                         throws java.sql.SQLException

  Specified by:
    `setMaxFieldSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setMaxRows

    public void setMaxRows(int max)
                    throws java.sql.SQLException

  Specified by:
    `setMaxRows` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws java.sql.SQLException

  Specified by:
    `setQueryTimeout` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD